;;;; Silly emacs, this is -*- Lisp -*-
;;;; $Id: cl-blog.asd,v 1.2 2004/10/20 01:30:09 bmastenbrook Exp $
;;;; $Source: /project/cl-blog/cvsroot/cl-blog/cl-blog.asd,v $

;;;; See the LICENSE file for licensing information.

(asdf:defsystem
    #+cl-modules
    #.(cl-modules:current-module-name :downcase t)
    #-cl-modules cl-blog
    :name "cl-blog"
    :author "Brian Mastenbrook"
    :licence "MIT"
    :description "A blog engine in CL"
    :depends-on (:araneida :net-telent-date :split-sequence
                           :cl-base64 :md5 :html-encode :cl-ppcre
                           :trivial-http :trivial-configuration-parser)
    :components
    ((:module "source"
              :components
              ((:file "simple-html-templating")
               (:file "package" :depends-on ("simple-html-templating"))
               (:file "variable" :depends-on ("package"))
               (:file "trackback")
               (:file "cl-blog" :depends-on ("package" "variable" "trackback"))))))
